
Figure - 需求 Requirement #111003
需求 Requirement # 110107 (New): 【Locked需求】总票

需求 Requirement # 110997 (分析&分解中 In Analysis): 【Locked需求】Launcher UI需求

需求 Requirement # 110998 (分析&分解中 In Analysis): 【Locked需求】Launcher UI需求-桌面

【Locked需求】Launcher UI需求-桌面-launcher桌面管理
2022-08-03 15:14 - 方案组-RD3_CDTS 王浩云

Status: 分析&分解中 In Analysis Start date: 2022-08-03

Priority: Normal Due date: 2022-09-30

Assignee: CD APP-王营 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Description

1. dock应用栏
h2.  1. 默认应用数量：4个
h2.  2. 上限数量：4个
h2.  3. 下限数量：2个
h2.  4. 展示位置：launcher桌面右侧，多任务界面支持展示Dock
h2.  5. 功能：
h3.     1. 桌面中：
           支持以拖动的方式添加，移除dock中的应用
           支持点击dock栏中的应用进行冷启动
h3.     2. 多任务管理器
           支持点击dock栏中的应用进行冷启动
h2.   6. 规则：拖入进dock应用栏中的应用，不在桌面中再展现桌面图标

2. Widget
  1. 支持源生Widget的管理，包括添加widget，移除widget
  2. 在launcher桌面的任何一页的编辑状态下，都支持添加和移除widget 
  3. 支持按应用展示应用相关的widget

3. 桌面编辑
h2.   1. 桌面应用编辑：
h3.     1. 更换应用的位置：follow源生，按住应用icon，并拖动应用至相应的位置，
并且页面提示可释放的位置
h3.     2. 单条删除应用：follow源生，长按进入激活状态，应用并拖拽至顶部上端
删除区域，做二次确认，确认删除后，toast提示：“应用***已删除卸载”
h3.     3. 批量删除：长按launcher 桌面空白处2s，桌面进入编辑模式，可勾选应用
，点击删除，进行批量删除，做二次确认，确认删除后，toast提示：“应用***等
共**个应用已删除卸载”。
h3.     4. 删除功能规则：删除包含应用卸载，及应用数据删除清空
h3.     5. 成组：
         成组方式：支持将两个应用拖入进同一个位置，该位置变为文件夹组，存放
两个应用
         名称编辑：点击文件组，进入文件组内部时，可以编辑修改文件组名称，字
符限定，遵循UElauncher 设计文档。
         解组方式：当文件夹组只剩一个应用时，自动解组
h2.   2. dock栏编辑：follow源生，长按应用icon，以拖动的方式添加，移除dock中
的应用，
h3.     1. 默认位置：launcher 右侧
h3.     2. 在setting中，支持设置dock应用栏摆放的位置
h3.     3. 状态栏随着dock栏的位置移动
h2.   3. widget编辑：
h3.     1. 添加widget：follow源生，长按launcher桌面空白处2s，桌面进入编辑模式，
选择添加微件，进入可用widget列表，拖动所选widget至相应位置
h3.     2. 添加时，位置不足够放置widget时，提示：“空间不足”
h3.     3. 移除widget：follow源生，长按widget，拖动至顶部移除区域，不做二次确
认，移除后，提示：“应用***微件已从桌面移除”

  4. 编辑模式按钮说明：长按launcher 桌面空白处，进入桌面编辑模式，应用icon为可被选中状
态，支持dock栏的位置调整变化，交互按钮包含：“删除”，“完成”，“微件”，三个按钮

  5. 取消更换壁纸功能及按钮：取消源生有的更换壁纸的按钮及相应功能。
h2.   6. 取消主页面设置功能及按钮：默认新应用安装后，图标在launcher桌面显示
h2.   7. 退出编辑模式方式：
h3.     1. 点击完成按钮
h3.     2. 其他方式无响应
h2.   8. 应用信息查看：follow源生，长按应用icon，根据应用提供的接口，提示可查看应用的信
息：包含应用基本信息，小窗打开入口，高频操作，卸载。优先级为：高频操作优先级最高
，其次为小窗入口，卸载与应用信息为同级

文档链接如下：https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf#

Related issues:

Related to Figure - 开发 Dev # 110745: 【MK】【APP】【recent】【TC... 进行中 In Progress2022-07-25 2022-12-12

Related to Figure - 开发 Dev # 110747: 【MK】【APP】【hotseat】【T... New 2022-07-25

History

#1 - 2022-09-16 09:53 - CD SWPM-杨宏伟

- Target version changed from 589 to VX1_MCE_FSE_V2.0_20220930

#2 - 2022-10-10 20:18 - CD FW-王伟

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V3.0_20221030
